MCP Gateway
ApiPortal

Upload portal logo

Upload a logo image for the portal. Accepts PNG, JPEG, SVG, or WebP up to 2 MB. Requires admin role.

POST
/api/v1/portal/settings/logo

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

file*string

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/portal/settings/logo" \  -F file="string"
{
  "logo_url": "string",
  "primary_color": "#6366f1",
  "dark_mode_default": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}